PatXML vs. Java

Here you can post your opinions and share information regarding PatXML
Post Reply

sla
Posts: 1
Joined: Mon Sep 21, 2009 2:53 pm

PatXML vs. Java

Post by sla » Mon Sep 21, 2009 3:02 pm

Hi there,

One of my colleges gets this error when he tries to generate a PDF Preview:

Warning
Java v 1.3 or higher not found


He has the newest version of Java (v. 6 updt 16)

Please Help!


gembrot
Posts: 1
Joined: Fri Mar 28, 2014 7:45 pm

Re: PatXML vs. Java

Post by gembrot » Fri Mar 28, 2014 7:54 pm

Same problem.

Here is what I've done:
  • install JRE 8 32 bits
  • install JRE 8 64 bits (my Win7 is 64 bits)
  • install JDK 1.3.1 06 in C:\jdk-1.3.1-06
  • set JAVA_HOME environment variable to the base of the JRE
When JAVA_HOME is set, I can run these batch files without any error:
  • fop\fop.bat
  • fop\fop-itext.bat
  • fop\fop-pj.bat
  • fop\xalan.bat (needs fixing %JAVA_HOME% into "%JAVA_HOME%" line 12)
Even though, PatXML still refuses to convert to PDF, stating that Java 1.3 is not installed when JAVA_HOME is not set (default), set to JRE 8 (32bits), JRE 8 (64 bits) or JDK 1.3.1-06\jre

Any help is highly appreciated from the support guys at the EPO.

Thanks!


Martinadu
Posts: 93
Joined: Wed Sep 29, 2004 2:52 pm

Re: PatXML vs. Java

Post by Martinadu » Thu Apr 24, 2014 1:11 pm

There are 2 things that will help here. 1) Making sure that the Java runtime environment JRE is installed.
2) Running PatXML as administrator, especially if you have Windows 7 and above.


Regards,

Support


Post Reply